tigase.jaxmpp.core.client.xmpp.modules

## Class SessionEstablishmentModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.SessionEstablishmentModule

- All Implemented Interfaces:
    ContextAware, XmppModule

      public class SessionEstablishmentModule
      extends Object
      implements XmppModule, ContextAware

  Module for Session Establishment.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SessionEstablishmentModule.SessionEstablishmentErrorHandler`
    `static interface` | `SessionEstablishmentModule.SessionEstablishmentSuccessHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Logger` | `log`
    `static String` | `SESSION_ESTABLISHED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionEstablishmentModule()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSessionEstablishmentErrorHandler(SessionEstablishmentModule.SessionEstablishmentErrorHandler handler)`
    `void` | `addSessionEstablishmentSuccessHandler(SessionEstablishmentModule.SessionEstablishmentSuccessHandler handler)`
    `void` | `establish()`
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `static boolean` | `isSessionEstablishingAvailable(SessionObject sessionObject)`
    `void` | `process(Element element)` Main method of module.
    `void` | `removeSessionEstablishmentErrorHandler(SessionEstablishmentModule.SessionEstablishmentErrorHandler handler)`
    `void` | `removeSessionEstablishmentSuccessHandler(SessionEstablishmentModule.SessionEstablishmentSuccessHandler handler)`
    `void` | `setContext(Context context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SESSION_ESTABLISHED

          public static final String SESSION_ESTABLISHED

      See Also:
        Constant Field Values

    - #### log

          protected final Logger log

  - ### Constructor Detail

    - #### SessionEstablishmentModule

          public SessionEstablishmentModule()

  - ### Method Detail

    - #### isSessionEstablishingAvailable

          public static boolean isSessionEstablishingAvailable(SessionObject sessionObject)
                                                        throws XMLException

      Throws:
        `XMLException`

    - #### addSessionEstablishmentErrorHandler

          public void addSessionEstablishmentErrorHandler(SessionEstablishmentModule.SessionEstablishmentErrorHandler handler)

    - #### addSessionEstablishmentSuccessHandler

          public void addSessionEstablishmentSuccessHandler(SessionEstablishmentModule.SessionEstablishmentSuccessHandler handler)

    - #### establish

          public void establish()
                         throws XMLException,
                                JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Specified by:
        `getCriteria` in interface `XmppModule`
      Returns:

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Specified by:
        `getFeatures` in interface `XmppModule`
      Returns:
        array of features

    - #### process

          public void process(Element element)
                       throws XMPPException,
                              XMLException

      Description copied from interface: `XmppModule`
      Main method of module. Module will process incoming stanza by call this method.
      Specified by:
        `process` in interface `XmppModule`
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `XMPPException`
        `XMLException`

    - #### removeSessionEstablishmentErrorHandler

          public void removeSessionEstablishmentErrorHandler(SessionEstablishmentModule.SessionEstablishmentErrorHandler handler)

    - #### removeSessionEstablishmentSuccessHandler

          public void removeSessionEstablishmentSuccessHandler(SessionEstablishmentModule.SessionEstablishmentSuccessHandler handler)

    - #### setContext

          public void setContext(Context context)

      Specified by:
        `setContext` in interface `ContextAware`

Copyright © 2006–2016 Tigase. All rights reserved.